%{?scl:%scl_package mcollective-package-agent}
%{!?scl:%global pkg_name %{name}}

Summary: Install and uninstall software packages
Name: %{?scl_prefix}mcollective-package-agent
Version: 4.2.0
Release: 1%{?dist}
License: ASL 2.0
URL: https://github.com/puppetlabs/mcollective-plugins
Vendor: Puppet Labs
Packager: R.I.Pienaar
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Group: System Tools
Source0: mcollective-package-agent-4.2.0.tgz
%{?scl:Requires: %{scl}-runtime}
Requires: %{?scl_prefix}mcollective-common >= 2.2.1
Requires: %{?scl_prefix}mcollective-package-common >= 4.2.0

%description
Install and uninstall software packages

%prep
%setup -n %{pkg_name}-%{version}

%build

%install
rm -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/mcollective/mcollective/agent

%{__install} -m0644 usr/libexec/mcollective/mcollective/agent/package.rb %{buildroot}%{_libexecdir}/mcollective/mcollective/agent/package.rb

%files
%defattr(-,root,root,-)
%{_libexecdir}/mcollective/mcollective/agent/package.rb

%changelog
* Tue Mar 05 2013 R.I.Pienaar - 4.2.0-1
- Built Package mcollective-package-agent
